<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hslf.usermodel.HSLFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hslf.usermodel.HSLFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hslf.usermodel.HSLFShape" class="title">Uses of Class<br>org.apache.poi.hslf.usermodel.HSLFShape
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model">org.apache.poi.hslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFShape</a> in <a
                            href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a> in <a
                                href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
                                    title="class in org.apache.poi.hslf.model">ActiveXShape</a></span></code>
                                <div class="block">Represents an ActiveX control in a PowerPoint document.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html"
                                    title="class in org.apache.poi.hslf.model">MovieShape</a></span></code>
                                <div class="block">Represents a movie in a PowerPoint document.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/Polygon.html"
                                    title="class in org.apache.poi.hslf.model">Polygon</a></span></code>
                                <div class="block">A simple closed polygon shape</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/HSLFMetroShape.html#HSLFMetroShape-org.apache.poi.hslf.usermodel.HSLFShape-">HSLFMetroShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructor parameters in <a
                                href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/ActiveXShape.html#ActiveXShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">ActiveXShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>Picture</code> object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>Picture</code> object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(int&nbsp;movieIdx,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/Polygon.html#Polygon-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">Polygon</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Polygon object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/Polygon.html#Polygon-org.apache.poi.sl.usermodel.ShapeContainer-">Polygon</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new Polygon.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFShape</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a> in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a></span></code>
                                <div class="block">Represents an AutoShape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFBackground.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFBackground</a></span></code>
                                <div class="block">Background shape</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a></span></code>
                                <div class="block">Specifies a connection shape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a></span></code>
                                <div class="block">A "Freeform" shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></span></code>
                                <div class="block">Represents a group of shapes.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFLine</a></span></code>
                                <div class="block">Represents a line in a PowerPoint drawing</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></span></code>
                                <div class="block">A shape representing embedded OLE object.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></span></code>
                                <div class="block">Represents a picture in a PowerPoint document.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholder</a></span></code>
                                <div class="block">Represents a Placeholder in PowerPoint.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a></span></code>
                                <div class="block">An abstract simple (non-group) shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTable</a></span></code>
                                <div class="block">Represents a table in a PowerPoint presentation</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a></span></code>
                                <div class="block">Represents a cell in a ppt table</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a></span></code>
                                <div class="block">Represents a TextFrame shape in PowerPoint.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a></span></code>
                                <div class="block">A common superclass of all shapes that can hold text.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new shape from the data provided.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createSimpleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#createMasterSheet--">createMasterSheet</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getShadow--">getShadow</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getShapes--">getShapes</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getShapes--">getShapes</a></span>()</code>
                                <div class="block">Returns all shapes contained in this Sheet</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#addShape-org.apache.poi.hslf.usermodel.HSLFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block">Add a shape to this group.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#addShape-org.apache.poi.hslf.usermodel.HSLFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block">Add a new Shape to this Slide</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-org.apache.poi.hslf.usermodel.HSLFShape-">find</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block">Find hyperlink assigned to the supplied shape</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFMasterSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html#isPlaceholder-org.apache.poi.hslf.usermodel.HSLFShape-">isPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <a
                                            href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#isPlaceholder--"><code>SimpleShape.isPlaceholder()</code></a></span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#removeShape-org.apache.poi.hslf.usermodel.HSLFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#removeShape-org.apache.poi.hslf.usermodel.HSLFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block">Removes the specified shape from this sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new shape from the data provided.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShapeGroup-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShapeGroup</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createSimpleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToSlide-org.apache.poi.sl.usermodel.Slide-">linkToSlide</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                    title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;slide)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                    title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;notes)</code>
                                <div class="block">Sets the Notes that are associated with this.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFill.html#HSLFFill-org.apache.poi.hslf.usermodel.HSLFShape-">HSLFFill</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block">Construct a <code>Fill</code> object for a shape.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructor parameters in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html#HSLFAutoShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFAutoShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html#HSLFAutoShape-org.apache.poi.sl.usermodel.ShapeType-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFAutoShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
                                    title="enum in org.apache.poi.sl.usermodel">ShapeType</a>&nbsp;type,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFBackground.html#HSLFBackground-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFBackground</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html#HSLFConnectorShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFConnectorShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a ConnectorShape object and initialize it from the supplied
                                    Record container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html#HSLFConnectorShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFConnectorShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new ConnectorShape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html#HSLFFreeformShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFFreeformShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Freeform object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html#HSLFFreeformShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFFreeformShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new Freeform.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#HSLFGroupShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFGroupShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a ShapeGroup object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#HSLFGroupShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFGroupShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new ShapeGroup.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html#HSLFLine-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFLine</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html#HSLFLine-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFLine</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html#HSLFObjectShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFObjectShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>OLEShape</code> object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html#HSLFObjectShape-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFObjectShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>OLEShape</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#HSLFPictureShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPictureShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>Picture</code> object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#HSLFPictureShape-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPictureShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html#HSLFPlaceholder-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html#HSLFPlaceholder-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#HSLFShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Shape object.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#HSLFSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFSimpleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a SimpleShape object and initialize it from the supplied
                                    Record container.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Table object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-int-int-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTable</a></span>(int&nbsp;numRows,
                                int&nbsp;numCols,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new Table of the given number of rows and columns</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html#HSLFTextBox-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextBox</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a TextBox object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html#HSLFTextBox-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextBox</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new TextBox.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#HSLFTextShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a TextBox object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#HSLFTextShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new TextBox.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
